Package: org.codehaus.groovy.ast.expr

## [Java] Class TernaryExpression

- org.codehaus.groovy.ast.expr.TernaryExpression

- Represents a ternary expression (booleanExpression) ? expression : expression

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TernaryExpression (BooleanExpression booleanExpression, Expression trueExpression, Expression falseExpression)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `BooleanExpression` | `getBooleanExpression()`
    `` | `Expression` | `getFalseExpression()`
    `` | `String` | `getText()`
    `` | `Expression` | `getTrueExpression()`
    `` | `ClassNode` | `getType()`
    `` | `String` | `toString()`
    `` | `Expression` | `transformExpression(ExpressionTransformer transformer)`
    `` | `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, equals, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getNodeMetaData, getNodeMetaData, getText, hashCode, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public TernaryExpression(BooleanExpression booleanExpression, Expression trueExpression, Expression falseExpression)

  - ### Method Detail

    - #### public BooleanExpression getBooleanExpression()

    - #### public Expression getFalseExpression()

    - #### public String getText()

    - #### public Expression getTrueExpression()

    - #### public ClassNode getType()

    - #### public String toString()

    - #### public Expression transformExpression(ExpressionTransformer transformer)

    - #### public void visit(GroovyCodeVisitor visitor)